Package com.plannaplan.entities

# Class AppConfig

java.lang.Object
com.plannaplan.entities.AppConfig

    @Entity
    public class AppConfig
    extends java.lang.Object

entity that keeps app configurations

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AppConfig()` | no parameter construcotor
`AppConfig​(TourData firstTour, TourData scondTour)` | constructor

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.sql.Timestamp` | `getConfigDate()` | config date getter
`AppState` | `getCurrentState()` | current state getter
`java.sql.Date` | `getFirstTourEnd()` | first tour end getter
`org.springframework.scheduling.support.CronTrigger` | `getFirstTourEndCron()` | get cron expression of first tour end
`java.sql.Date` | `getFirstTourStart()` | first tour start getter
`org.springframework.scheduling.support.CronTrigger` | `getFirstTourStartCron()` | get cron expression of first tour start
`java.sql.Date` | `getSecondTourEnd()` | second tour end getter
`org.springframework.scheduling.support.CronTrigger` | `getSecondTourEndCron()` | get cron expression of second tour end
`java.sql.Date` | `getSecondTourStart()` | first second start getter
`org.springframework.scheduling.support.CronTrigger` | `getSecondTourStartCron()` | get cron expression of second tour start

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AppConfig

public AppConfig()
no parameter construcotor

### AppConfig

public AppConfig​(TourData firstTour, TourData scondTour)
constructor

Parameters:
  `firstTour` - first TourData instacne
  `scondTour` - second TourData instacne

## Method Details

### getSecondTourEnd

public java.sql.Date getSecondTourEnd()
second tour end getter

Returns:
  Date inforamtion when second tour ends

### getSecondTourStart

public java.sql.Date getSecondTourStart()
first second start getter

Returns:
  Date inforamtion when second tour start

### getFirstTourEnd

public java.sql.Date getFirstTourEnd()
first tour end getter

Returns:
  Date inforamtion when first tour end

### getFirstTourStart

public java.sql.Date getFirstTourStart()
first tour start getter

Returns:
  Date inforamtion when first tour start

### getConfigDate

public java.sql.Timestamp getConfigDate()
config date getter

Returns:
  Timestamp when configuration took place

### getCurrentState

public AppState getCurrentState()
current state getter

Returns:
  AppState of app at the moment of calling method

### getFirstTourEndCron

public org.springframework.scheduling.support.CronTrigger getFirstTourEndCron()
get cron expression of first tour end

Returns:
  spring cron expression

### getSecondTourEndCron

public org.springframework.scheduling.support.CronTrigger getSecondTourEndCron()
get cron expression of second tour end

Returns:
  spring cron expression

### getFirstTourStartCron

public org.springframework.scheduling.support.CronTrigger getFirstTourStartCron()
get cron expression of first tour start

Returns:
  spring cron expression

### getSecondTourStartCron

public org.springframework.scheduling.support.CronTrigger getSecondTourStartCron()
get cron expression of second tour start

Returns:
  spring cron expression